# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           oct2spec
Version:        1.0.1
Release:        10%{?dist}
Summary:        Python script to generate Octave package spec file

Group:          Development/Languages
License:        GPLv3+
URL:            https://git.fedorahosted.org/git/oct2spec.git
Source0:        https://fedorahosted.org/releases/o/c/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
Requires:       wget fedora-packager
Requires:       python-jinja2

%description
oct2spec is a small python tool that generates spec file for Octave packages.
It can work from a package name, URL, or a tarball.
oct2spec provides oct2rpm which generates rpm for Octave packages using the 
oct2spec API.


%prep
%setup -q

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install --root=%{buildroot} 

%clean
rm -rf %{buildroot}

%files 
#-f installed_files2
%doc README LICENSE CHANGELOG
%{python_sitelib}/*
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/%{name}
%{_bindir}/oct2rpm
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/oct2rpm.1.gz

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Oct 16 2013 Orion Poplawski <orion@cora.nwra.com> - 1.0.1-8
- Update urls

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jun 3 2011 Orion Poplawski <orion@cora.nwra.com> 1.0.1-3
- Add Requires: python-jinja2 (Bug #710407)

* Thu Apr 7 2011 Orion Poplawski <orion@cora.nwra.com> 1.0.1-2
- Fix typo
- Use name macro in Source0

* Wed Apr 6 2011 Orion Poplawski <orion@cora.nwra.com> 1.0.1-1
- Update to 1.0.1 - add obsoletes to spec template

* Wed Mar 30 2011 Orion Poplawski <orion@cora.nwra.com> 1.0.0-1
- Initial release
